Mysql 4.1 on FC2

Clive Messer clive at
Wed Jan 19 15:53:23 UTC 2005

On Wed, 2005-01-19 at 07:35 -0800, David Hoffman wrote:
> --- Clive Messer <clive at> wrote:
> > 
> > I've been running the devel packages (re-compiled from srpms) on FC3
> > for
> > some time. 4.1.7 and more recently 4.1.9. 100% stable on a near
> > production load (UAT) with very heavy access on InnoDB. The 4.1.*
> > packages install a default my.cnf with 'old_passwords=1'. Python and
> > other stuff linked against the GPL'd V3 libs are working just fine
> > with
> > the 3.23 client compatibility package.
> > 
> Clive,
> You mentioned an interesting point. I am running on FC3 with mysql
> 4.1.9 (also with the compat package) and everything is stable. One
> exception that I noticed is that when I install from the RPMs provided
> by, I don't get a "my.cnf" file anywhere. I see that you
> re-compiled from the source, but I'm wondering if you might have an
> idea why that is happening to me?
> Can you show the contents of the default my.cnf file that was supplied
> with yours?

No idea. I think the default might not be to install a my.cnf if you
already have one in /etc. I back up my heavily customized one from 4.0.*
before installing the 4.1.7 rpm - just in case. Seem to recall that it
did not get overwritten, nor a rpmnew.

The 'naked' my.cnf from devel mysql-4.1.9-1.src.rpm .... Defaults apart
from the old_password setting. 

##### START
# Default to using old password format for compatibility with mysql 3.x
# clients (those using the mysqlclient10 compatibility package).


##### END


Clive Messer <clive at>

More information about the users mailing list